From e4fbb1929ccb43ff3adc282893167a2df6cbc1d2 Mon Sep 17 00:00:00 2001
From: Fujii Masao <fujii@postgresql.org>
Date: Fri, 20 Jun 2025 22:54:52 +0900
Subject: [PATCH v1] doc: Fix incorrect UUID index entry in function
 documentation.

Previously, the UUID functions documentation defined the "UUID" index entry
to link to the UUID data type page, even though that entry already exists there.
Instead, the UUID functions page should define its own index entry linking
to itself.

This commit updates the UUID index entry in the UUID functions documentation
to point to the correct section, improving navigation and avoiding duplication.

Back-patch to all supported versions.
---
 doc/src/sgml/func.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 8d7d9a2f3e8..a0b9044e358 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -14374,7 +14374,7 @@ CREATE TYPE rainbow AS ENUM ('red', 'orange', 'yellow', 'green', 'blue', 'purple
  <sect1 id="functions-uuid">
   <title>UUID Functions</title>
 
-  <indexterm zone="datatype-uuid">
+  <indexterm zone="functions-uuid">
    <primary>UUID</primary>
    <secondary>generating</secondary>
   </indexterm>
-- 
2.49.0

